| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Typedefs | Enumerations | Functions
diskio.h File Reference
`#include "integer.h"`

Go to the source code of this file.

## Macros
#define | STA_NOINIT 0x01 /* Drive not initialized */
#define | STA_NODISK 0x02 /* No medium in the drive */
#define | STA_PROTECT 0x04 /* Write protected */
#define | CTRL_SYNC 0 /* Flush disk cache (for write functions) */
#define | GET_SECTOR_COUNT 1 /* Get media size (for only f_mkfs()) */
#define | GET_SECTOR_SIZE 2 /* Get sector size (for multiple sector size (_MAX_SS >= 1024)) */
#define | GET_BLOCK_SIZE 3 /* Get erase block size (for only f_mkfs()) */
#define | CTRL_ERASE_SECTOR 4 /* Force erased a block of sectors (for only _USE_ERASE) */
#define | CTRL_POWER 5 /* Get/Set power status */
#define | CTRL_LOCK 6 /* Lock/Unlock media removal */
#define | CTRL_EJECT 7 /* Eject media */
#define | CTRL_FORMAT 8 /* Create physical format on the media */
#define | MMC_GET_TYPE 10 /* Get card type */
#define | MMC_GET_CSD 11 /* Get CSD */
#define | MMC_GET_CID 12 /* Get CID */
#define | MMC_GET_OCR 13 /* Get OCR */
#define | MMC_GET_SDSTAT 14 /* Get SD status */
#define | ATA_GET_REV 20 /* Get F/W revision */
#define | ATA_GET_MODEL 21 /* Get model name */
#define | ATA_GET_SN 22 /* Get serial number */
#define | CT_MMC 0x01 /* MMC ver 3 */
#define | CT_SD1 0x02 /* SD ver 1 */
#define | CT_SD2 0x04 /* SD ver 2 */
#define | CT_SDC (CT_SD1|CT_SD2) /* SD */
#define | CT_BLOCK 0x08 /* Block addressing */

## Typedefs
typedef BYTE | DSTATUS

## Enumerations
enum | DRESULT { RES_OK = 0, RES_ERROR, RES_WRPRT, RES_NOTRDY, RES_PARERR }

## Functions
DSTATUS | disk_initialize (BYTE)
DSTATUS | disk_status (BYTE)
DRESULT | disk_read (BYTE, BYTE *, DWORD, BYTE)
DRESULT | disk_write (BYTE, const BYTE *, DWORD, BYTE)
DRESULT | disk_ioctl (BYTE, BYTE, void *)

## Macro Definition Documentation

#define ATA_GET_MODEL 21 /* Get model name */

Definition at line 72 of file diskio.h.

#define ATA_GET_REV 20 /* Get F/W revision */

Definition at line 71 of file diskio.h.

#define ATA_GET_SN 22 /* Get serial number */

Definition at line 73 of file diskio.h.

#define CT_BLOCK 0x08 /* Block addressing */

Definition at line 81 of file diskio.h.

#define CT_MMC 0x01 /* MMC ver 3 */

Definition at line 77 of file diskio.h.

#define CT_SD1 0x02 /* SD ver 1 */

Definition at line 78 of file diskio.h.

#define CT_SD2 0x04 /* SD ver 2 */

Definition at line 79 of file diskio.h.

#define CT_SDC (CT_SD1|CT_SD2) /* SD */

Definition at line 80 of file diskio.h.

#define CTRL_EJECT 7 /* Eject media */

Definition at line 60 of file diskio.h.

#define CTRL_ERASE_SECTOR 4 /* Force erased a block of sectors (for only _USE_ERASE) */

Definition at line 55 of file diskio.h.

#define CTRL_FORMAT 8 /* Create physical format on the media */

Definition at line 61 of file diskio.h.

#define CTRL_LOCK 6 /* Lock/Unlock media removal */

Definition at line 59 of file diskio.h.

#define CTRL_POWER 5 /* Get/Set power status */

Definition at line 58 of file diskio.h.

#define CTRL_SYNC 0 /* Flush disk cache (for write functions) */

Definition at line 51 of file diskio.h.

#define GET_BLOCK_SIZE 3 /* Get erase block size (for only f_mkfs()) */

Definition at line 54 of file diskio.h.

#define GET_SECTOR_COUNT 1 /* Get media size (for only f_mkfs()) */

Definition at line 52 of file diskio.h.

#define GET_SECTOR_SIZE 2 /* Get sector size (for multiple sector size (_MAX_SS >= 1024)) */

Definition at line 53 of file diskio.h.

#define MMC_GET_CID 12 /* Get CID */

Definition at line 66 of file diskio.h.

#define MMC_GET_CSD 11 /* Get CSD */

Definition at line 65 of file diskio.h.

#define MMC_GET_OCR 13 /* Get OCR */

Definition at line 67 of file diskio.h.

#define MMC_GET_SDSTAT 14 /* Get SD status */

Definition at line 68 of file diskio.h.

#define MMC_GET_TYPE 10 /* Get card type */

Definition at line 64 of file diskio.h.

#define STA_NODISK 0x02 /* No medium in the drive */

Definition at line 44 of file diskio.h.

#define STA_NOINIT 0x01 /* Drive not initialized */

Definition at line 43 of file diskio.h.

#define STA_PROTECT 0x04 /* Write protected */

Definition at line 45 of file diskio.h.

## Typedef Documentation

typedef BYTE DSTATUS

Definition at line 19 of file diskio.h.

## Enumeration Type Documentation

enum DRESULT

Enumerator:

  RES_OK |
  RES_ERROR |
  RES_WRPRT |
  RES_NOTRDY |
  RES_PARERR |

Definition at line 22 of file diskio.h.

## Function Documentation

DSTATUS disk_initialize | ( | BYTE |  | ) |

Definition at line 25 of file diskio.c.

DRESULT disk_ioctl | ( | BYTE | ,
|  | BYTE | ,
|  | void * |
| ) |  |

Definition at line 197 of file diskio.c.

DRESULT disk_read | ( | BYTE | ,
|  | BYTE * | ,
|  | DWORD | ,
|  | BYTE |
| ) |  |

Definition at line 101 of file diskio.c.

DSTATUS disk_status | ( | BYTE |  | ) |

Definition at line 63 of file diskio.c.

DRESULT disk_write | ( | BYTE | ,
|  | const BYTE * | ,
|  | DWORD | ,
|  | BYTE |
| ) |  |

Definition at line 149 of file diskio.c.